Subject: bug#56241: [PATCH] icalendar doesn't correctly process arbitrary diary sexp entries

From: Jeremy Harrison <[email-masked]>
Date: Sun, 28 Jan 2024 17:09:52 +0000

Not sure if this helps but I was wondering why exporting '%%(org-anniversary 2020 02 02) blah %d blah' worked but '%%(org-anniversary 2020 03 02) blah %d blah' did not.

Long story short, icalendar-export-sexp-enumeration-days was set to 14 by default. I have changed this to 366 and the export works again.

If relevant, I noticed that one of the tests mentioned above does not set the value explicitly while the others do.

I'm not a programmer so take my observations with due caution!

Jeremy